Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.info
Class IConcept

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.info.AbstractIObject
                  ix.icore.info.IConcept

All Implemented Interfaces:
  Annotated, Named, IObject, IThing, IXObject, EditableObject, java.io.Serializable

    public class IConcept

extends AbstractIObject

A piece of information (issue, component, etc.) with attribute values and relationships

See Also:
  Serialized Form

Field Summary
`java.util.HashSet` | `attributes` Names of attributes that are allowed for this concept
`protected java.util.HashMap` | `attVals`
`java.util.ArrayList` | `children`
`boolean` | `hasParents`
`java.util.ArrayList` | `parents`

Fields inherited from class ix.icore.info.AbstractIObject
`dataChangeListeners, name, type`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`IConcept()`
`IConcept(IConceptType conceptType)`

Method Summary
`boolean` | `checkConsistency()`
`java.util.Enumeration` | `children()`
`boolean` | `getAllowsChildren()`
`java.lang.Object` | `getAttributeValue(java.lang.String attName)`
`javax.swing.tree.TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`javax.swing.tree.TreeNode` | `getParent()`
`boolean` | `isLeaf()`
`boolean` | `sameAttributeValue(java.lang.String att, java.lang.Object val, java.lang.Object otherVal)`
`boolean` | `setAttributeValue(java.lang.String attName, java.lang.Object value)`

Methods inherited from class ix.icore.info.AbstractIObject
`addDataChangeListener, getAttributes, getName, getType, getValue, isAttributesEmpty, isEmpty, isEmptyValue, nameHasChanged, removeDataChangeListener, sameValue, setName, setType, setValue, setValue`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### attributes

    public java.util.HashSet attributes

  Names of attributes that are allowed for this concept

### parents

    public java.util.ArrayList parents

### children

    public java.util.ArrayList children

### hasParents

    public boolean hasParents

### attVals

    protected java.util.HashMap attVals

Constructor Detail

### IConcept

    public IConcept()

### IConcept

    public IConcept(IConceptType conceptType)

Method Detail

### setAttributeValue

    public boolean setAttributeValue(java.lang.String attName,
                                     java.lang.Object value)

  Overrides:
    `setAttributeValue` in class `AbstractIObject`

### getAttributeValue

    public java.lang.Object getAttributeValue(java.lang.String attName)

  Overrides:
    `getAttributeValue` in class `AbstractIObject`

### sameAttributeValue

    public boolean sameAttributeValue(java.lang.String att,
                                      java.lang.Object val,
                                      java.lang.Object otherVal)

  Specified by:
    `sameAttributeValue` in class `AbstractIObject`

### checkConsistency

    public boolean checkConsistency()

  Specified by:
    `checkConsistency` in interface `IObject`
  Specified by:
    `checkConsistency` in class `AbstractIObject`

### children

    public java.util.Enumeration children()

### getAllowsChildren

    public boolean getAllowsChildren()

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int index)

### getChildCount

    public int getChildCount()

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

### getParent

    public javax.swing.tree.TreeNode getParent()

### isLeaf

    public boolean isLeaf()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD